import numpy
import powerlaw
import matplotlib.pyplot as plt

data = []

with open('../power-law-data/UndirectedGraph/Fmaj_DATA.txt') as f:
    for line in f: # read rest of lines
        data.append(int(line))


results = powerlaw.Fit(data)
print results.power_law.alpha
print results.power_law.xmin
print results.lognormal.mu
print results.lognormal_positive.sigma

R, p = results.distribution_compare('power_law', 'lognormal')
print (R)
print (p)


fig = plt.figure()

fig = results.plot_ccdf(linewidth = 3)
results.power_law.plot_ccdf(ax = fig, color = 'r', linestyle = '-')
results.lognormal_positive.plot_ccdf(ax = fig, color = 'g', linestyle = '-')


plt.show()






